#
# Conditional build
%bcond_without	static_libs	# static libraries

Summary:	OATH Toolkit - easily build one-time password authentication systems
Summary(pl.UTF-8):	OATH Toolkit - łatwe tworzenie systemów uwierzytelniania z jednorazowymi hasłami
Name:		oath-toolkit
Version:	2.6.12
Release:	1%{?tld}
License:	LGPL v2.1+ (libraries), GPL v3+ (utilities and PAM module)
Group:		Libraries
Source0:	https://download.savannah.gnu.org/releases/oath-toolkit/%{name}-%{version}.tar.gz
# Source0-md5:	b34cefe4d92762c6b81e9a3cb5fb753c
URL:		http://www.nongnu.org/oath-toolkit/
BuildRequires:	help2man
BuildRequires:	libxml2-devel >= 2
BuildRequires:	libxml2-progs >= 2
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	xmlsec1-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OATH Toolkit makes it easy to build one-time password
authentication systems. It contains shared libraries, command line
tools and a PAM module. Supported technologies include the event-based
HOTP algorithm (RFC4226) and the time-based TOTP algorithm (RFC6238).
OATH stands for Open AuTHentication, which is the organization that
specify the algorithms. For managing secret key files, the Portable
Symmetric Key Container (PSKC) format described in RFC6030 is
supported.

%description -l pl.UTF-8
OATH Toolkit ułatwia tworzenie systemów uwierzytelniania z
jednorazowymi hasłami. Zawiera biblioteki współdzielone, narzędzia
działające z linii poleceń oraz moduł PAM. Obsługiwane techniki
obejmują oparty na zdarzeniach algorytm HOTP (RFC 4226) oraz oparty na
czasie algorytm TOTP (RFC 6238). OATH to skrót od Open AuTHentication
- nazwy organizacji opisującej algorytmy. W celu zarządzania kluczami
  obsługiwany jest format PSKC (Portable Symmetric Key Container),
  opisany w RFC 6030.

%package devel
Summary:	Header files for OATH libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OATH
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2-devel >= 2
Requires:	xmlsec1-devel

%description devel
Header files for OATH libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OATH.

%package static
Summary:	Static OATH libraries
Summary(pl.UTF-8):	Statyczne biblioteki OATH
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OATH libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OATH.

%package apidocs
Summary:	OATH API documentation
Summary(pl.UTF-8):	Dokumentacja API bibliotek OATH
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for OATH libraries.

%description apidocs -l pl.UTF-8
Dokumentacja API bibliotek OATH.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# lib*.la kept - libpskc is missing .private dependencies

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains just licensing notes
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/oathtool
%attr(755,root,root) %{_bindir}/pskctool
%attr(755,root,root) %{_libdir}/liboath.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liboath.so.0
%attr(755,root,root) %{_libdir}/libpskc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpskc.so.0
%attr(755,root,root) /%{_lib}/security/pam_oath.so
%{_datadir}/xml/pskc
%{_mandir}/man1/oathtool.1*
%{_mandir}/man1/pskctool.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liboath.so
%attr(755,root,root) %{_libdir}/libpskc.so
%{_libdir}/liboath.la
%{_libdir}/libpskc.la
%{_includedir}/liboath
%{_includedir}/pskc
%{_pkgconfigdir}/liboath.pc
%{_pkgconfigdir}/libpskc.pc
%{_mandir}/man3/oath_*.3*
%{_mandir}/man3/pskc_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liboath.a
%{_libdir}/libpskc.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/liboath
%{_gtkdocdir}/libpskc
%changelog
* Mon Dec 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/oath-toolkit.git;a=log;h=master

* Sat Oct 05 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> e3c384b
- Up to 2.6.12; fixes CVE-2024-47191

* Thu Jan 11 2024 Jan Palus <atler@pld-linux.org> e753c44
- up to 2.6.11

* Wed Jan 03 2024 Jan Palus <atler@pld-linux.org> 65f9434
- up to 2.6.10

* Wed Jan 03 2024 Jan Palus <atler@pld-linux.org> 8cfc29a
- drop redundant doc bcond

* Wed Jan 03 2024 Jan Palus <atler@pld-linux.org> bc0f0c5
- BR: libxml2-progs

* Wed Jan 03 2024 Jan Palus <atler@pld-linux.org> 025ac3a
- add static_libs bcond

* Mon Jul 10 2023 Jan Palus <atler@pld-linux.org> 38e5284
- up to 2.6.9

* Mon Jul 10 2023 Jan Palus <atler@pld-linux.org> 7a77d75
- rpm version for noarch subpackage

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> 93d3476
- allow building without doc

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> e23fef3
- up to 2.6.7

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> fdbceb6
- unconditional noarch subpackages

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> e066f1b
- updated noarch rule

* Fri Jan 22 2021 Jan Palus <atler@pld-linux.org> d9239b1
- up to 2.6.6

* Sun Jan 03 2021 Jan Palus <atler@pld-linux.org> f362c6d
- up to 2.6.5

* Fri Nov 13 2020 Jan Palus <atler@pld-linux.org> d50241d
- up to 2.6.4

* Tue Nov 10 2020 Jan Palus <atler@pld-linux.org> da68cf0
- up to 2.6.3

* Wed Nov 06 2019 Jan Rękorajski <baggins@pld-linux.org> 59d39af
- release 3 (by relup.sh)

* Thu Mar 14 2019 Marcin Krol <hawk@tld-linux.org> d669c0d
- fix build with recent glibc, other minor build fixes

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> 19a7165
- updated to 2.6.2

* Sun Jun 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 98efc35
- updated to 2.6.1

